Safe Browser Authenticator Failing to Build

safe-browser

#1

Hi! After reading the latest dev-update, I decided to try the new browser. I am trying to use the latest version of Safe-browser. I used the readme in Safe-Browser to download and install Safe Browser. But on Step 4 $ npm run pack-authenticator terminal fails and outputs this

Nathans-Air:~ nathanhunsberger$ cd safe_browser Nathans-Air:safe_browser nathanhunsberger$ npm run pack-authenticator
@ pack-authenticator /Users/nathanhunsberger/safe_browser node ./scripts/main.js --authenticator
@ pack-authenticator:unix /Users/nathanhunsberger/safe_browser sh ./scripts/pack_authenticator.sh
beaker-plugin-safe-authenticator@0.1.0 postinstall /Users/nathanhunsberger/safe_browser/authenticator download_deps --package package.json
beaker-plugin-safe-authenticator@0.1.0 build-libs /Users/nathanhunsberger/safe_browser/authenticator node ./build_libs.js "features=mock-routing"
beaker-plugin-safe-authenticator@0.1.0 build-libs:mock /Users/nathanhunsberger/safe_browser/authenticator npm run build-native-mock && npm run build-system-uri
beaker-plugin-safe-authenticator@0.1.0 build-native-mock /Users/nathanhunsberger/safe_browser/authenticator cd ./native/safe_authenticator && cargo clean && cargo update && cargo build --release --features "use-mock-routing" && cd ../../ sh: cargo: command not found npm ERR! file sh npm ERR! code ELIFECYCLE npm ERR! errno ENOENT npm ERR! syscall spawn npm ERR! beaker-plugin-safe-authenticator@0.1.0 build-native-mock: cd ./native/safe_authenticator && cargo clean && cargo update && cargo build --release --features "use-mock-routing" && cd ../../ npm ERR! spawn ENOENT npm ERR! npm ERR! Failed at the beaker-plugin-safe-authenticator@0.1.0 build-native-mock script. npm ERR! This is probably not a problem with npm. There is likely additional logging output above. npm ERR! A complete log of this run can be found in: npm ERR! /Users/nathanhunsberger/.npm/_logs/2017-05-14T01_33_58_073Z-debug.log npm ERR! code ELIFECYCLE npm ERR! errno 1 npm ERR! beaker-plugin-safe-authenticator@0.1.0 build-libs:mock: npm run build-native-mock && npm run build-system-uri npm ERR! Exit status 1 npm ERR! npm ERR! Failed at the beaker-plugin-safe-authenticator@0.1.0 build-libs:mock script. npm ERR! This is probably not a problem with npm. There is likely additional logging output above.
npm ERR! A complete log of this run can be found in: npm ERR! /Users/nathanhunsberger/.npm/_logs/2017-05-14T01_33_58_098Z-debug.log Build Authenticator exited with code 1 npm ERR! code ELIFECYCLE npm ERR! errno 1 npm ERR! beaker-plugin-safe-authenticator@0.1.0 build-libs: node ./build_libs.js "features=mock-routing" npm ERR! Exit status 1 npm ERR! npm ERR! Failed at the beaker-plugin-safe-authenticator@0.1.0 build-libs script. npm ERR! This is probably not a problem with npm. There is likely additional logging output above. npm ERR! A complete log of this run can be found in: npm ERR! /Users/nathanhunsberger/.npm/_logs/2017-05-14T01_33_58_134Z-debug.log cp: ./dist: No such file or directory Pack Authenticator exited with code 0

I’ve updated npm and node.js twice(I think) so I don’t understand why this keeps failing. Safe Browser runs fine, and looks awesome! But it won’t authenticate any apps, I tried the mock hosting app, and it says it sent a request to the browser, and I need to authorize it, but there is nothing changing in the browser. I run safe-auth://home/#login and it returns ERR_NOT_IMPLEMENTED.

Do I need to wait until a testate to run safe-auth://home/#login or is it an authenticator problem?

Any fixes?

Thx!


#2

Look in https://forum.safedev.org/t/how-to-build-the-safe-browser-and-upload-a-website-with-mock-vault/625
for hints.
I havent read all your post - got to head out now.


#3

Hey, from the error messages you posted, it looks like the rust is not installed on your system, or it just can’t find the rust commands in the shell. You can type $ cargo -V in the command line to see if it’s actually there.

Also, make sure you have the latest rust compilers, as v1.16 is not supported by the latest SAFEBrowser, I believe. Good luck.


#4

I’m having the same problem I think.
I downloaded the version 0.2 of the safe browser and followed it’s instructions to build.

debug.log

0 info it worked if it ends with ok
1 verbose cli [ '/usr/bin/node', '/usr/bin/npm', 'run', 'pack-authenticator' ]
2 info using npm@4.6.1
3 info using node@v7.10.0
4 verbose run-script [ 'prepack-authenticator',
4 verbose run-script   'pack-authenticator',
4 verbose run-script   'postpack-authenticator' ]
5 info lifecycle @~prepack-authenticator: @
6 silly lifecycle @~prepack-authenticator: no script for prepack-authenticator, continuing
7 info lifecycle @~pack-authenticator: @
8 verbose lifecycle @~pack-authenticator: unsafe-perm in lifecycle true
9 verbose lifecycle @~pack-authenticator: PATH: /usr/lib/node_modules/npm/bin/node-gyp-bin:/home/admin/Downloads/safe_browser-0.2.0/node_modules/.bin:/usr/local/bin:/usr/bin:/bin
10 verbose lifecycle @~pack-authenticator: CWD: /home/admin/Downloads/safe_browser-0.2.0
11 silly lifecycle @~pack-authenticator: Args: [ '-c', 'node ./scripts/main.js --authenticator' ]
12 silly lifecycle @~pack-authenticator: Returned: code: 1  signal: null
13 info lifecycle @~pack-authenticator: Failed to exec pack-authenticator script
14 verbose stack Error: @ pack-authenticator: `node ./scripts/main.js --authenticator`
14 verbose stack Exit status 1
14 verbose stack     at EventEmitter.<anonymous> (/usr/lib/node_modules/npm/lib/utils/lifecycle.js:279:16)
14 verbose stack     at emitTwo (events.js:106:13)
14 verbose stack     at EventEmitter.emit (events.js:194:7)
14 verbose stack     at ChildProcess.<anonymous> (/usr/lib/node_modules/npm/lib/utils/spawn.js:40:14)
14 verbose stack     at emitTwo (events.js:106:13)
14 verbose stack     at ChildProcess.emit (events.js:194:7)
14 verbose stack     at maybeClose (internal/child_process.js:899:16)
14 verbose stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:226:5)
15 verbose pkgid @
16 verbose cwd /home/admin/Downloads/safe_browser-0.2.0
17 verbose Linux 4.10.13-gnu-2
18 verbose argv "/usr/bin/node" "/usr/bin/npm" "run" "pack-authenticator"
19 verbose node v7.10.0
20 verbose npm  v4.6.1
21 error code ELIFECYCLE
22 error errno 1
23 error @ pack-authenticator: `node ./scripts/main.js --authenticator`
23 error Exit status 1
24 error Failed at the @ pack-authenticator script.
24 error This is probably not a problem with npm. There is likely additional logging output above.
25 verbose exit [ 1, true ]
[admin@UBS-Dev safe_browser-0.2.0]$ cargo -V
cargo 0.18.0 (fe7b0cdc 2017-04-24)

#5

This topic was automatically closed after 60 days. New replies are no longer allowed.